> ## Documentation Index
> Fetch the complete documentation index at: https://docs.proconvey.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# List fee earners for a branch

> Returns all team members who are designated as fee earners for the specified branch.



## OpenAPI

````yaml https://v2.proconvey.co.uk/api/v2/doc get /api/v2/branches/{id}/fee-earners
openapi: 3.1.0
info:
  title: ProConvey Public API
  version: '2.0'
  description: Public API for case management.
servers: []
security: []
tags:
  - name: Cases
    description: Case management operations including creation, retrieval, and data access
  - name: Clients
    description: Client records for the organisation
  - name: Webhooks
    description: >-
      Webhooks available for receiving updates of events on the ProConvey
      platform
  - name: Organisations
    description: Organization management and setup
  - name: System
    description: System and utility endpoints including branches and documentation
paths:
  /api/v2/branches/{id}/fee-earners:
    get:
      tags:
        - Organisations
      summary: List fee earners for a branch
      description: >-
        Returns all team members who are designated as fee earners for the
        specified branch.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: Branch ID
      responses:
        '200':
          description: List of fee earners for the branch
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Branch team member ID
                    teamMemberId:
                      type: string
                      description: Team member ID
                    title:
                      type: string
                      description: Title (Mr, Mrs, Ms, etc.)
                    firstName:
                      type: string
                      description: First name
                    lastName:
                      type: string
                      description: Last name
                    role:
                      type: string
                      enum:
                        - EstateAgent
                        - Remortgager
                        - Broker
                        - Conveyancer
                        - Solicitor
                        - Paralegal
                        - Assistant
                        - Admin
                        - Other
                      description: Team member role
                    sraIDNumber:
                      type:
                        - string
                        - 'null'
                      description: SRA ID number
                    emailAddress:
                      type:
                        - string
                        - 'null'
                      description: Email address
                    bio:
                      type: string
                      description: Biography/description
                    avatarUrl:
                      type:
                        - string
                        - 'null'
                      description: Avatar image URL
                    telephoneNumber:
                      type:
                        - string
                        - 'null'
                      description: Phone number
        '400':
          description: Bad request - missing branch ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
        '401':
          description: Unauthorized - user not authenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
        '403':
          description: Forbidden - user doesn't belong to the organization
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
        '404':
          description: Branch not found or doesn't belong to organization
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message

````